geo_mpi_partition_scotch.cc File Reference

Go to the source code of this file.

## Namespaces

| rheolef
| This file is part of Rheolef.

## Functions

void | geo_dual (my_idxtype *elmdist, my_idxtype *eptr, vector< my_idxtype > &eind, int *ncommonnodes, vector< my_idxtype > &xadj, vector< my_idxtype > &adjncy, const mpi::communicator &comm)
void | ParMETIS_V3_PartKway (const int *const, int *const, int *const, int *const, int *const, const int *const, const int *const, const int *const, const int *const, const float *const, const float *const, const int *const, int *const, int *const, MPI_Comm *const)
void | geo_partition_scotch (my_idxtype *elmdist, my_idxtype *eptr, vector< my_idxtype > &eind, my_idxtype *elmwgt, int *ncon, int *ncommonnodes, int *nparts, float *tpwgts, float *ubvec, int *edgecut, my_idxtype *part, const mpi::communicator &comm)